背景

www.997755.com,背景

作者的VS2012本子相比老旧,是几乎年在此以前下载的。平日加上三方担保以及驱动包都是手动添加。后来明白及发生Nuget那个家伙,如拿到至宝。可是每当行使过程中倒有了无数问题。

作者的VS2012本子相比较老旧,是几年往日下载的。经常增长三方担保以及让包都是手动添加。后来了解及出Nuget这多少个家伙,如拿到至宝。但是以采取过程中倒是发了成百上千问题。

头,笔者尝试用Nuget添加Mongodb相关倚重包,结果提醒靠包跟Nuget版本不配合。因为已经有了手动下充斥好之包,所以即使没在了,手动添加了依赖包。

最初,笔者尝试用Nuget添加Mongodb相关依赖包,结果指示靠包及Nuget版本不配合。因为早已闹矣手动下充斥好之包,所以就是没在全,手动添加了依赖包。

日前,再次利用Nuget添加sqlite包,发现依旧有兼容性问题。于是笔者对有利于小组的想想,尝试解决此问题。

多年来,再度行使Nuget添加sqlite包,发现尚是是兼容性问题。于是笔者对有利于小组的思想,尝试解决那题目。

 

 

情况描述

情景描述

拔取VS2012从带Nuget安装System.Data.Sqlite倚重包,解析、下载和安装前半有都无问题,在装置最终之System.Data.SQLite.EF6时出现兼容性问题。

行使VS2012从带Nuget安装System.Data.Sqlite依赖包,解析、下载和安装前半有些都无问题,在设置最后之System.Data.SQLite.EF6时出现包容性问题。

 

 

题目讲述

题材讲述

“System.Data.SQLite.EF6”的架版本和 NuGet 的本子 2.0.30625.9003
不匹配,请尝试到Nuget官网升级时版Nuget。

“System.Data.SQLite.EF6”的架构版本与 NuGet 的本子 2.0.30625.9003
不配合,请尝试到Nuget官网升级最新版Nuget。

 

 

解决方案

釜底抽薪方案

VS2012吃的提议是升迁Nuget,但是笔者考虑到自己之VS版本太老,指不定什么时候更冒充出什么问题,索性叫VS来同样浅提升。

VS2012为的提出是提拔Nuget,可是笔者考虑到自己之VS版本太旧,指不定何时再冒充出什么问题,索性让VS来同样不善晋级。

点击工具栏  工具->扩充及换代->更新,更新VS。

点击工具栏  工具->扩大及立异->更新,更新VS。

通过漫长的待,终于升迁好,再一次安装倚重包,成功。

透过短时间的等候,终于擢升好,再次安装倚重包,成功。

读者可以接纳更轻量的办法,仅升级Nuget。

读者可择更轻量的主意,仅升级Nuget。

 

 

参考

参考

https://stackoverflow.com/questions/21766168/visual-studio-2012-package-manager-console-error

https://stackoverflow.com/questions/21766168/visual-studio-2012-package-manager-console-error

相关文章